/*
 * Copyright (c) 2009, 2012, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.sun.ts.tests.jpa.core.derivedid.ex3b;

import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import java.io.Serializable;

/**
 *
 * @author Raja Perumal
 */

@Entity
public class DID3bEmployee implements Serializable {

    private static final long serialVersionUID = 1L;

    @EmbeddedId DID3bEmployeeId empId;

    public DID3bEmployee() {
    }

    public DID3bEmployee(DID3bEmployeeId eId) {
        this.empId=eId;
    }

     public DID3bEmployeeId getEmpId() {
        return empId;
    }

    public void setEmpId(DID3bEmployeeId empId) {
        this.empId = empId;
    }
}
